graphics/gdk-pixbuf2 - The NetBSD Packages Collection

Library for image loading and manipulation

GdkPixbuf is a library that loads image data in various formats and stores
it as linear buffers in memory. The buffers can then be scaled, composited,
modified, saved, or rendered.

GdkPixbuf can load image data encoded in different formats, such as PNG,
JPEG, TIFF, TGA and GIF.

Additionally, you can write a GdkPixbuf loader module and install it into
a well-known location, in order to load a file format.

GdkPixbuf is used by the GTK toolkit for loading graphical assets.

GdkPixbuf was split off from GTK+ starting with version 2.22/3.0.

Build dependencies

devel/meson devel/gobject-introspection pkgtools/cwrappers devel/gobject-introspection devel/glib2-tools devel/gmake devel/pkgconf

Runtime dependencies

lang/python38 lang/python38 databases/shared-mime-info devel/glib2 devel/glib2 graphics/tiff graphics/png databases/shared-mime-info devel/glib2 graphics/tiff graphics/png

Available binary packages

aarch64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
aarch64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
aarch64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
alpha:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
alpha:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
alpha:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earm:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earm:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earmv6hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earmv6hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earmv6hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earmv6hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
earmv7hf:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
i386:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
i386:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
i386:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
i386:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
i386:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
i386:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
m68k:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
m68k:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
m68k:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
m68k:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
mips64eb:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
mips64eb:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
mipsel:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
powerpc:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
powerpc:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
powerpc:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
powerpc:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
powerpc:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
sh3el:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
sh3el:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
sparc64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
sparc64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
sparc64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
sparc:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
sparc:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
sparc:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 8.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)
x86_64:gdk-pixbuf2-2.40.0nb1.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]